<?php
/*
Plugin Name: paybylink.pl - Płatności WooCommerce 
Plugin URI: http://paybylink.pl
Description: Zaawansowany system płatności przelewów natychmiastowych oraz paypal
Version: 1.2.0
Author: paybylink.pl
Author URI: http://paybylink.pl
*/
 
add_action( 'plugins_loaded', 'paybylink_payment_init');
function paybylink_payment_init() {
    if ( ! class_exists( 'WC_Payment_Gateway' ) ) return;
    include_once( 'woocommerce-paybylink-payment.php' );
 
    add_filter( 'woocommerce_payment_gateways', 'paybylink_payment_load_class');
    function paybylink_payment_load_class( $methods ) {
        $methods[] = 'paybylink_Payment';
        return $methods;
    }
}
 
add_action( 'admin_menu', 'add_admin_menu' );

function add_admin_menu(){
    add_menu_page( 'Płatności Paybylink.pl', 'Płatności Paybylink.pl', 'manage_options','admin.php?page=wc-settings&tab=checkout&section=paybylink_payment', '', null, 56 );
}

add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'paybylink_payment_links' );
function paybylink_payment_links( $links ) {
    $plugin_links = array(
        '<a href="' . admin_url( 'admin.php?page=wc-settings&tab=checkout&section=paybylink_payment' ) . '">' . __( 'Ustawienia', 'paybylink_payment' ) . '</a>',
    );
 
    return array_merge( $plugin_links, $links );    
}
